/*===========================================================================*/
/*   (Llib/ucs2.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:17:06 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/bigloo/libbacktrace/home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.5b -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Llib/ucs2.scm -indent -o objs/obj_u/Llib/ucs2.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___UCS2_TYPE_DEFINITIONS
#define BGL___UCS2_TYPE_DEFINITIONS
#endif													// BGL___UCS2_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t, ucs2_t);
	static obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t);
	extern bool_t ucs2_digitp(ucs2_t);
	BGL_EXPORTED_DECL int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char);
	static obj_t BGl_cnstzd2initzd2zz__ucs2z00(void);
	BGL_EXPORTED_DECL bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t, ucs2_t);
	extern ucs2_t ucs2_tolower(ucs2_t);
	static obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void);
	static obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_symbol1506z00zz__ucs2z00 = BUNSPEC;
	static obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_symbol1516z00zz__ucs2z00 = BUNSPEC;
	BGL_EXPORTED_DECL ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t);
	extern bool_t ucs2_upperp(ucs2_t);
	static obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_definedp(int);
	extern obj_t bstring_to_symbol(obj_t);
	extern ucs2_t ucs2_toupper(ucs2_t);
	extern bool_t ucs2_whitespacep(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t, ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t);
	BGL_EXPORTED_DECL ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int);
	static obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t, obj_t);
	extern bool_t ucs2_lowerp(ucs2_t);
	static obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t, obj_t, obj_t);
	extern bool_t ucs2_letterp(ucs2_t);
	BGL_EXPORTED_DECL bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t);
	static obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t, obj_t);
	static obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2urzd2envz31zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31521za7,
		BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zf3zd2envze2zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7f3za7521522z00, BGl_z62ucs2zc3zf3z52zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7f3za791za7za7_1523za7, BGl_z62ucs2zf3z91zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1500z00zz__ucs2z00,
		BgL_bgl_string1500za700za7za7_1524za7, "&ucs2-numeric?", 14);
	      DEFINE_STRING(BGl_string1501z00zz__ucs2z00,
		BgL_bgl_string1501za700za7za7_1525za7, "&ucs2-whitespace?", 17);
	      DEFINE_STRING(BGl_string1502z00zz__ucs2z00,
		BgL_bgl_string1502za700za7za7_1526za7, "&ucs2-upper-case?", 17);
	      DEFINE_STRING(BGl_string1503z00zz__ucs2z00,
		BgL_bgl_string1503za700za7za7_1527za7, "&ucs2-lower-case?", 17);
	      DEFINE_STRING(BGl_string1504z00zz__ucs2z00,
		BgL_bgl_string1504za700za7za7_1528za7, "&ucs2-upcase", 12);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upcase1529z00, BGl_z62ucs2zd2upcasezb0zz__ucs2z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1505z00zz__ucs2z00,
		BgL_bgl_string1505za700za7za7_1530za7, "&ucs2-downcase", 14);
	      DEFINE_STRING(BGl_string1507z00zz__ucs2z00,
		BgL_bgl_string1507za700za7za7_1531za7, "integer->ucs2", 13);
	      DEFINE_STRING(BGl_string1508z00zz__ucs2z00,
		BgL_bgl_string1508za700za7za7_1532za7, "Undefined UCS-2 character", 25);
	      DEFINE_STRING(BGl_string1509z00zz__ucs2z00,
		BgL_bgl_string1509za700za7za7_1533za7, "integer out of range or ", 24);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zf3zd2envz30zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71534z00,
		BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zc3zd3zf3zd2envz31zz__ucs2z00,
		BgL_bgl_za762ucs2za7c3za7d3za7f31535z00, BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2numericzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2numeri1536z00, BGl_z62ucs2zd2numericzf3z43zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1510z00zz__ucs2z00,
		BgL_bgl_string1510za700za7za7_1537za7, "&integer->ucs2", 14);
	      DEFINE_STRING(BGl_string1511z00zz__ucs2z00,
		BgL_bgl_string1511za700za7za7_1538za7, "bint", 4);
	      DEFINE_STRING(BGl_string1512z00zz__ucs2z00,
		BgL_bgl_string1512za700za7za7_1539za7, "&integer->ucs2-ur", 17);
	      DEFINE_STRING(BGl_string1513z00zz__ucs2z00,
		BgL_bgl_string1513za700za7za7_1540za7, "&ucs2->integer", 14);
	      DEFINE_STRING(BGl_string1514z00zz__ucs2z00,
		BgL_bgl_string1514za700za7za7_1541za7, "&char->ucs2", 11);
	      DEFINE_STRING(BGl_string1515z00zz__ucs2z00,
		BgL_bgl_string1515za700za7za7_1542za7, "bchar", 5);
	      DEFINE_STRING(BGl_string1517z00zz__ucs2z00,
		BgL_bgl_string1517za700za7za7_1543za7, "ucs2->char", 10);
	      DEFINE_STRING(BGl_string1518z00zz__ucs2z00,
		BgL_bgl_string1518za700za7za7_1544za7,
		"UCS-2 character out of ISO-LATIN-1 range", 40);
	      DEFINE_STRING(BGl_string1519z00zz__ucs2z00,
		BgL_bgl_string1519za700za7za7_1545za7, "&ucs2->char", 11);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2alphabeticzf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2alphab1546z00,
		BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1520z00zz__ucs2z00,
		BgL_bgl_string1520za700za7za7_1547za7, "__ucs2", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2lowerzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2lowerza71548za7,
		BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3charzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3cha1549za7, BGl_z62ucs2zd2ze3charz53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd3zf3zd2envzf2zz__ucs2z00,
		BgL_bgl_za762ucs2za7d3za7f3za7421550z00, BGl_z62ucs2zd3zf3z42zz__ucs2z00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizd3zf3zd2envz20zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7d3za71551z00,
		BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zd3zf3zd2envzc3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71552z00,
		BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1487z00zz__ucs2z00,
		BgL_bgl_string1487za700za7za7_1553za7, "/tmp/bigloo/runtime/Llib/ucs2.scm",
		33);
	      DEFINE_STRING(BGl_string1488z00zz__ucs2z00,
		BgL_bgl_string1488za700za7za7_1554za7, "&ucs2=?", 7);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_integerzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762integerza7d2za7e31555za7,
		BGl_z62integerzd2ze3ucs2z53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1489z00zz__ucs2z00,
		BgL_bgl_string1489za700za7za7_1556za7, "bucs2", 5);
	      DEFINE_STRING(BGl_string1490z00zz__ucs2z00,
		BgL_bgl_string1490za700za7za7_1557za7, "&ucs2<?", 7);
	      DEFINE_STRING(BGl_string1491z00zz__ucs2z00,
		BgL_bgl_string1491za700za7za7_1558za7, "&ucs2>?", 7);
	      DEFINE_STRING(BGl_string1492z00zz__ucs2z00,
		BgL_bgl_string1492za700za7za7_1559za7, "&ucs2<=?", 8);
	      DEFINE_STRING(BGl_string1493z00zz__ucs2z00,
		BgL_bgl_string1493za700za7za7_1560za7, "&ucs2>=?", 8);
	      DEFINE_STRING(BGl_string1494z00zz__ucs2z00,
		BgL_bgl_string1494za700za7za7_1561za7, "&ucs2-ci=?", 10);
	      DEFINE_STRING(BGl_string1495z00zz__ucs2z00,
		BgL_bgl_string1495za700za7za7_1562za7, "&ucs2-ci<?", 10);
	      DEFINE_STRING(BGl_string1496z00zz__ucs2z00,
		BgL_bgl_string1496za700za7za7_1563za7, "&ucs2-ci>?", 10);
	      DEFINE_STRING(BGl_string1497z00zz__ucs2z00,
		BgL_bgl_string1497za700za7za7_1564za7, "&ucs2-ci<=?", 11);
	      DEFINE_STRING(BGl_string1498z00zz__ucs2z00,
		BgL_bgl_string1498za700za7za7_1565za7, "&ucs2-ci>=?", 11);
	      DEFINE_STRING(BGl_string1499z00zz__ucs2z00,
		BgL_bgl_string1499za700za7za7_1566za7, "&ucs2-alphabetic?", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2ze3integerzd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2za7e3int1567za7,
		BGl_z62ucs2zd2ze3integerz53zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2downcasezd2envz00zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2downca1568z00, BGl_z62ucs2zd2downcasezb0zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_charzd2ze3ucs2zd2envze3zz__ucs2z00,
		BgL_bgl_za762charza7d2za7e3ucs1569za7, BGl_z62charzd2ze3ucs2z53zz__ucs2z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zf3zd2envzc2zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7f3za7721570z00, BGl_z62ucs2ze3zf3z72zz__ucs2z00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2upperzd2casezf3zd2envz21zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2upperza71571za7,
		BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cizc3zd3zf3zd2envze3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7c3za71572z00,
		BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2cize3zf3zd2envz10zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2ciza7e3za71573z00,
		BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2zd2whitespacezf3zd2envzf3zz__ucs2z00,
		BgL_bgl_za762ucs2za7d2whites1574z00,
		BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_ucs2ze3zd3zf3zd2envz11zz__ucs2z00,
		BgL_bgl_za762ucs2za7e3za7d3za7f31575z00, BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__ucs2z00));
		     ADD_ROOT((void *) (&BGl_symbol1506z00zz__ucs2z00));
		     ADD_ROOT((void *) (&BGl_symbol1516z00zz__ucs2z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ucs2z00(long
		BgL_checksumz00_1255, char *BgL_fromz00_1256)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__ucs2z00))
				{
					BGl_requirezd2initializa7ationz75zz__ucs2z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__ucs2z00();
					BGl_cnstzd2initzd2zz__ucs2z00();
					return BGl_importedzd2moduleszd2initz00zz__ucs2z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			BGl_symbol1506z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1507z00zz__ucs2z00);
			return (BGl_symbol1516z00zz__ucs2z00 =
				bstring_to_symbol(BGl_string1517z00zz__ucs2z00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* ucs2? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zf3zf3zz__ucs2z00(obj_t BgL_objz00_3)
	{
		{	/* Llib/ucs2.scm 146 */
			return UCS2P(BgL_objz00_3);
		}

	}



/* &ucs2? */
	obj_t BGl_z62ucs2zf3z91zz__ucs2z00(obj_t BgL_envz00_1137,
		obj_t BgL_objz00_1138)
	{
		{	/* Llib/ucs2.scm 146 */
			return BBOOL(BGl_ucs2zf3zf3zz__ucs2z00(BgL_objz00_1138));
		}

	}



/* ucs2=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd3zf3z20zz__ucs2z00(ucs2_t BgL_ucs2az00_4,
		ucs2_t BgL_ucs2bz00_5)
	{
		{	/* Llib/ucs2.scm 152 */
			return (BgL_ucs2az00_4 == BgL_ucs2bz00_5);
		}

	}



/* &ucs2=? */
	obj_t BGl_z62ucs2zd3zf3z42zz__ucs2z00(obj_t BgL_envz00_1139,
		obj_t BgL_ucs2az00_1140, obj_t BgL_ucs2bz00_1141)
	{
		{	/* Llib/ucs2.scm 152 */
			{	/* Llib/ucs2.scm 153 */
				bool_t BgL_tmpz00_1270;

				{	/* Llib/ucs2.scm 153 */
					ucs2_t BgL_auxz00_1280;
					ucs2_t BgL_auxz00_1271;

					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1281;

						if (UCS2P(BgL_ucs2bz00_1141))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1281 = BgL_ucs2bz00_1141;
							}
						else
							{
								obj_t BgL_auxz00_1284;

								BgL_auxz00_1284 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6361L), BGl_string1488z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1141);
								FAILURE(BgL_auxz00_1284, BFALSE, BFALSE);
							}
						BgL_auxz00_1280 = CUCS2(BgL_tmpz00_1281);
					}
					{	/* Llib/ucs2.scm 153 */
						obj_t BgL_tmpz00_1272;

						if (UCS2P(BgL_ucs2az00_1140))
							{	/* Llib/ucs2.scm 153 */
								BgL_tmpz00_1272 = BgL_ucs2az00_1140;
							}
						else
							{
								obj_t BgL_auxz00_1275;

								BgL_auxz00_1275 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6361L), BGl_string1488z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1140);
								FAILURE(BgL_auxz00_1275, BFALSE, BFALSE);
							}
						BgL_auxz00_1271 = CUCS2(BgL_tmpz00_1272);
					}
					BgL_tmpz00_1270 =
						BGl_ucs2zd3zf3z20zz__ucs2z00(BgL_auxz00_1271, BgL_auxz00_1280);
				}
				return BBOOL(BgL_tmpz00_1270);
			}
		}

	}



/* ucs2<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zf3z30zz__ucs2z00(ucs2_t BgL_ucs2az00_6,
		ucs2_t BgL_ucs2bz00_7)
	{
		{	/* Llib/ucs2.scm 158 */
			return (BgL_ucs2az00_6 < BgL_ucs2bz00_7);
		}

	}



/* &ucs2<? */
	obj_t BGl_z62ucs2zc3zf3z52zz__ucs2z00(obj_t BgL_envz00_1142,
		obj_t BgL_ucs2az00_1143, obj_t BgL_ucs2bz00_1144)
	{
		{	/* Llib/ucs2.scm 158 */
			{	/* Llib/ucs2.scm 159 */
				bool_t BgL_tmpz00_1292;

				{	/* Llib/ucs2.scm 159 */
					ucs2_t BgL_auxz00_1302;
					ucs2_t BgL_auxz00_1293;

					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1303;

						if (UCS2P(BgL_ucs2bz00_1144))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1303 = BgL_ucs2bz00_1144;
							}
						else
							{
								obj_t BgL_auxz00_1306;

								BgL_auxz00_1306 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6647L), BGl_string1490z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1144);
								FAILURE(BgL_auxz00_1306, BFALSE, BFALSE);
							}
						BgL_auxz00_1302 = CUCS2(BgL_tmpz00_1303);
					}
					{	/* Llib/ucs2.scm 159 */
						obj_t BgL_tmpz00_1294;

						if (UCS2P(BgL_ucs2az00_1143))
							{	/* Llib/ucs2.scm 159 */
								BgL_tmpz00_1294 = BgL_ucs2az00_1143;
							}
						else
							{
								obj_t BgL_auxz00_1297;

								BgL_auxz00_1297 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6647L), BGl_string1490z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1143);
								FAILURE(BgL_auxz00_1297, BFALSE, BFALSE);
							}
						BgL_auxz00_1293 = CUCS2(BgL_tmpz00_1294);
					}
					BgL_tmpz00_1292 =
						BGl_ucs2zc3zf3z30zz__ucs2z00(BgL_auxz00_1293, BgL_auxz00_1302);
				}
				return BBOOL(BgL_tmpz00_1292);
			}
		}

	}



/* ucs2>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zf3z10zz__ucs2z00(ucs2_t BgL_ucs2az00_8,
		ucs2_t BgL_ucs2bz00_9)
	{
		{	/* Llib/ucs2.scm 164 */
			return (BgL_ucs2az00_8 > BgL_ucs2bz00_9);
		}

	}



/* &ucs2>? */
	obj_t BGl_z62ucs2ze3zf3z72zz__ucs2z00(obj_t BgL_envz00_1145,
		obj_t BgL_ucs2az00_1146, obj_t BgL_ucs2bz00_1147)
	{
		{	/* Llib/ucs2.scm 164 */
			{	/* Llib/ucs2.scm 165 */
				bool_t BgL_tmpz00_1314;

				{	/* Llib/ucs2.scm 165 */
					ucs2_t BgL_auxz00_1324;
					ucs2_t BgL_auxz00_1315;

					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1325;

						if (UCS2P(BgL_ucs2bz00_1147))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1325 = BgL_ucs2bz00_1147;
							}
						else
							{
								obj_t BgL_auxz00_1328;

								BgL_auxz00_1328 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6934L), BGl_string1491z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1147);
								FAILURE(BgL_auxz00_1328, BFALSE, BFALSE);
							}
						BgL_auxz00_1324 = CUCS2(BgL_tmpz00_1325);
					}
					{	/* Llib/ucs2.scm 165 */
						obj_t BgL_tmpz00_1316;

						if (UCS2P(BgL_ucs2az00_1146))
							{	/* Llib/ucs2.scm 165 */
								BgL_tmpz00_1316 = BgL_ucs2az00_1146;
							}
						else
							{
								obj_t BgL_auxz00_1319;

								BgL_auxz00_1319 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(6934L), BGl_string1491z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1146);
								FAILURE(BgL_auxz00_1319, BFALSE, BFALSE);
							}
						BgL_auxz00_1315 = CUCS2(BgL_tmpz00_1316);
					}
					BgL_tmpz00_1314 =
						BGl_ucs2ze3zf3z10zz__ucs2z00(BgL_auxz00_1315, BgL_auxz00_1324);
				}
				return BBOOL(BgL_tmpz00_1314);
			}
		}

	}



/* ucs2<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_10, ucs2_t BgL_ucs2bz00_11)
	{
		{	/* Llib/ucs2.scm 170 */
			return (BgL_ucs2az00_10 <= BgL_ucs2bz00_11);
		}

	}



/* &ucs2<=? */
	obj_t BGl_z62ucs2zc3zd3zf3z81zz__ucs2z00(obj_t BgL_envz00_1148,
		obj_t BgL_ucs2az00_1149, obj_t BgL_ucs2bz00_1150)
	{
		{	/* Llib/ucs2.scm 170 */
			{	/* Llib/ucs2.scm 171 */
				bool_t BgL_tmpz00_1336;

				{	/* Llib/ucs2.scm 171 */
					ucs2_t BgL_auxz00_1346;
					ucs2_t BgL_auxz00_1337;

					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1347;

						if (UCS2P(BgL_ucs2bz00_1150))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1347 = BgL_ucs2bz00_1150;
							}
						else
							{
								obj_t BgL_auxz00_1350;

								BgL_auxz00_1350 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7221L), BGl_string1492z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1150);
								FAILURE(BgL_auxz00_1350, BFALSE, BFALSE);
							}
						BgL_auxz00_1346 = CUCS2(BgL_tmpz00_1347);
					}
					{	/* Llib/ucs2.scm 171 */
						obj_t BgL_tmpz00_1338;

						if (UCS2P(BgL_ucs2az00_1149))
							{	/* Llib/ucs2.scm 171 */
								BgL_tmpz00_1338 = BgL_ucs2az00_1149;
							}
						else
							{
								obj_t BgL_auxz00_1341;

								BgL_auxz00_1341 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7221L), BGl_string1492z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1149);
								FAILURE(BgL_auxz00_1341, BFALSE, BFALSE);
							}
						BgL_auxz00_1337 = CUCS2(BgL_tmpz00_1338);
					}
					BgL_tmpz00_1336 =
						BGl_ucs2zc3zd3zf3ze3zz__ucs2z00(BgL_auxz00_1337, BgL_auxz00_1346);
				}
				return BBOOL(BgL_tmpz00_1336);
			}
		}

	}



/* ucs2>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(ucs2_t
		BgL_ucs2az00_12, ucs2_t BgL_ucs2bz00_13)
	{
		{	/* Llib/ucs2.scm 176 */
			return (BgL_ucs2az00_12 >= BgL_ucs2bz00_13);
		}

	}



/* &ucs2>=? */
	obj_t BGl_z62ucs2ze3zd3zf3za1zz__ucs2z00(obj_t BgL_envz00_1151,
		obj_t BgL_ucs2az00_1152, obj_t BgL_ucs2bz00_1153)
	{
		{	/* Llib/ucs2.scm 176 */
			{	/* Llib/ucs2.scm 177 */
				bool_t BgL_tmpz00_1358;

				{	/* Llib/ucs2.scm 177 */
					ucs2_t BgL_auxz00_1368;
					ucs2_t BgL_auxz00_1359;

					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1369;

						if (UCS2P(BgL_ucs2bz00_1153))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1369 = BgL_ucs2bz00_1153;
							}
						else
							{
								obj_t BgL_auxz00_1372;

								BgL_auxz00_1372 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7510L), BGl_string1493z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1153);
								FAILURE(BgL_auxz00_1372, BFALSE, BFALSE);
							}
						BgL_auxz00_1368 = CUCS2(BgL_tmpz00_1369);
					}
					{	/* Llib/ucs2.scm 177 */
						obj_t BgL_tmpz00_1360;

						if (UCS2P(BgL_ucs2az00_1152))
							{	/* Llib/ucs2.scm 177 */
								BgL_tmpz00_1360 = BgL_ucs2az00_1152;
							}
						else
							{
								obj_t BgL_auxz00_1363;

								BgL_auxz00_1363 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7510L), BGl_string1493z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1152);
								FAILURE(BgL_auxz00_1363, BFALSE, BFALSE);
							}
						BgL_auxz00_1359 = CUCS2(BgL_tmpz00_1360);
					}
					BgL_tmpz00_1358 =
						BGl_ucs2ze3zd3zf3zc3zz__ucs2z00(BgL_auxz00_1359, BgL_auxz00_1368);
				}
				return BBOOL(BgL_tmpz00_1358);
			}
		}

	}



/* ucs2-ci=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_14, ucs2_t BgL_ucs2bz00_15)
	{
		{	/* Llib/ucs2.scm 182 */
			return (ucs2_toupper(BgL_ucs2az00_14) == ucs2_toupper(BgL_ucs2bz00_15));
		}

	}



/* &ucs2-ci=? */
	obj_t BGl_z62ucs2zd2cizd3zf3z90zz__ucs2z00(obj_t BgL_envz00_1154,
		obj_t BgL_ucs2az00_1155, obj_t BgL_ucs2bz00_1156)
	{
		{	/* Llib/ucs2.scm 182 */
			{	/* Llib/ucs2.scm 183 */
				bool_t BgL_tmpz00_1382;

				{	/* Llib/ucs2.scm 183 */
					ucs2_t BgL_auxz00_1392;
					ucs2_t BgL_auxz00_1383;

					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1393;

						if (UCS2P(BgL_ucs2bz00_1156))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1393 = BgL_ucs2bz00_1156;
							}
						else
							{
								obj_t BgL_auxz00_1396;

								BgL_auxz00_1396 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7808L), BGl_string1494z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1156);
								FAILURE(BgL_auxz00_1396, BFALSE, BFALSE);
							}
						BgL_auxz00_1392 = CUCS2(BgL_tmpz00_1393);
					}
					{	/* Llib/ucs2.scm 183 */
						obj_t BgL_tmpz00_1384;

						if (UCS2P(BgL_ucs2az00_1155))
							{	/* Llib/ucs2.scm 183 */
								BgL_tmpz00_1384 = BgL_ucs2az00_1155;
							}
						else
							{
								obj_t BgL_auxz00_1387;

								BgL_auxz00_1387 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(7808L), BGl_string1494z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1155);
								FAILURE(BgL_auxz00_1387, BFALSE, BFALSE);
							}
						BgL_auxz00_1383 = CUCS2(BgL_tmpz00_1384);
					}
					BgL_tmpz00_1382 =
						BGl_ucs2zd2cizd3zf3zf2zz__ucs2z00(BgL_auxz00_1383, BgL_auxz00_1392);
				}
				return BBOOL(BgL_tmpz00_1382);
			}
		}

	}



/* ucs2-ci<? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_16, ucs2_t BgL_ucs2bz00_17)
	{
		{	/* Llib/ucs2.scm 188 */
			return (ucs2_toupper(BgL_ucs2az00_16) < ucs2_toupper(BgL_ucs2bz00_17));
		}

	}



/* &ucs2-ci<? */
	obj_t BGl_z62ucs2zd2cizc3zf3z80zz__ucs2z00(obj_t BgL_envz00_1157,
		obj_t BgL_ucs2az00_1158, obj_t BgL_ucs2bz00_1159)
	{
		{	/* Llib/ucs2.scm 188 */
			{	/* Llib/ucs2.scm 189 */
				bool_t BgL_tmpz00_1406;

				{	/* Llib/ucs2.scm 189 */
					ucs2_t BgL_auxz00_1416;
					ucs2_t BgL_auxz00_1407;

					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1417;

						if (UCS2P(BgL_ucs2bz00_1159))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1417 = BgL_ucs2bz00_1159;
							}
						else
							{
								obj_t BgL_auxz00_1420;

								BgL_auxz00_1420 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8123L), BGl_string1495z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1159);
								FAILURE(BgL_auxz00_1420, BFALSE, BFALSE);
							}
						BgL_auxz00_1416 = CUCS2(BgL_tmpz00_1417);
					}
					{	/* Llib/ucs2.scm 189 */
						obj_t BgL_tmpz00_1408;

						if (UCS2P(BgL_ucs2az00_1158))
							{	/* Llib/ucs2.scm 189 */
								BgL_tmpz00_1408 = BgL_ucs2az00_1158;
							}
						else
							{
								obj_t BgL_auxz00_1411;

								BgL_auxz00_1411 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8123L), BGl_string1495z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1158);
								FAILURE(BgL_auxz00_1411, BFALSE, BFALSE);
							}
						BgL_auxz00_1407 = CUCS2(BgL_tmpz00_1408);
					}
					BgL_tmpz00_1406 =
						BGl_ucs2zd2cizc3zf3ze2zz__ucs2z00(BgL_auxz00_1407, BgL_auxz00_1416);
				}
				return BBOOL(BgL_tmpz00_1406);
			}
		}

	}



/* ucs2-ci>? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(ucs2_t
		BgL_ucs2az00_18, ucs2_t BgL_ucs2bz00_19)
	{
		{	/* Llib/ucs2.scm 194 */
			return (ucs2_toupper(BgL_ucs2az00_18) > ucs2_toupper(BgL_ucs2bz00_19));
		}

	}



/* &ucs2-ci>? */
	obj_t BGl_z62ucs2zd2cize3zf3za0zz__ucs2z00(obj_t BgL_envz00_1160,
		obj_t BgL_ucs2az00_1161, obj_t BgL_ucs2bz00_1162)
	{
		{	/* Llib/ucs2.scm 194 */
			{	/* Llib/ucs2.scm 195 */
				bool_t BgL_tmpz00_1430;

				{	/* Llib/ucs2.scm 195 */
					ucs2_t BgL_auxz00_1440;
					ucs2_t BgL_auxz00_1431;

					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1441;

						if (UCS2P(BgL_ucs2bz00_1162))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1441 = BgL_ucs2bz00_1162;
							}
						else
							{
								obj_t BgL_auxz00_1444;

								BgL_auxz00_1444 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8440L), BGl_string1496z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1162);
								FAILURE(BgL_auxz00_1444, BFALSE, BFALSE);
							}
						BgL_auxz00_1440 = CUCS2(BgL_tmpz00_1441);
					}
					{	/* Llib/ucs2.scm 195 */
						obj_t BgL_tmpz00_1432;

						if (UCS2P(BgL_ucs2az00_1161))
							{	/* Llib/ucs2.scm 195 */
								BgL_tmpz00_1432 = BgL_ucs2az00_1161;
							}
						else
							{
								obj_t BgL_auxz00_1435;

								BgL_auxz00_1435 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8440L), BGl_string1496z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1161);
								FAILURE(BgL_auxz00_1435, BFALSE, BFALSE);
							}
						BgL_auxz00_1431 = CUCS2(BgL_tmpz00_1432);
					}
					BgL_tmpz00_1430 =
						BGl_ucs2zd2cize3zf3zc2zz__ucs2z00(BgL_auxz00_1431, BgL_auxz00_1440);
				}
				return BBOOL(BgL_tmpz00_1430);
			}
		}

	}



/* ucs2-ci<=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(ucs2_t
		BgL_ucs2az00_20, ucs2_t BgL_ucs2bz00_21)
	{
		{	/* Llib/ucs2.scm 200 */
			return (ucs2_toupper(BgL_ucs2az00_20) <= ucs2_toupper(BgL_ucs2bz00_21));
		}

	}



/* &ucs2-ci<=? */
	obj_t BGl_z62ucs2zd2cizc3zd3zf3z53zz__ucs2z00(obj_t BgL_envz00_1163,
		obj_t BgL_ucs2az00_1164, obj_t BgL_ucs2bz00_1165)
	{
		{	/* Llib/ucs2.scm 200 */
			{	/* Llib/ucs2.scm 201 */
				bool_t BgL_tmpz00_1454;

				{	/* Llib/ucs2.scm 201 */
					ucs2_t BgL_auxz00_1464;
					ucs2_t BgL_auxz00_1455;

					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1465;

						if (UCS2P(BgL_ucs2bz00_1165))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1465 = BgL_ucs2bz00_1165;
							}
						else
							{
								obj_t BgL_auxz00_1468;

								BgL_auxz00_1468 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8757L), BGl_string1497z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1165);
								FAILURE(BgL_auxz00_1468, BFALSE, BFALSE);
							}
						BgL_auxz00_1464 = CUCS2(BgL_tmpz00_1465);
					}
					{	/* Llib/ucs2.scm 201 */
						obj_t BgL_tmpz00_1456;

						if (UCS2P(BgL_ucs2az00_1164))
							{	/* Llib/ucs2.scm 201 */
								BgL_tmpz00_1456 = BgL_ucs2az00_1164;
							}
						else
							{
								obj_t BgL_auxz00_1459;

								BgL_auxz00_1459 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(8757L), BGl_string1497z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1164);
								FAILURE(BgL_auxz00_1459, BFALSE, BFALSE);
							}
						BgL_auxz00_1455 = CUCS2(BgL_tmpz00_1456);
					}
					BgL_tmpz00_1454 =
						BGl_ucs2zd2cizc3zd3zf3z31zz__ucs2z00(BgL_auxz00_1455,
						BgL_auxz00_1464);
				}
				return BBOOL(BgL_tmpz00_1454);
			}
		}

	}



/* ucs2-ci>=? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(ucs2_t
		BgL_ucs2az00_22, ucs2_t BgL_ucs2bz00_23)
	{
		{	/* Llib/ucs2.scm 206 */
			return (ucs2_toupper(BgL_ucs2az00_22) >= ucs2_toupper(BgL_ucs2bz00_23));
		}

	}



/* &ucs2-ci>=? */
	obj_t BGl_z62ucs2zd2cize3zd3zf3z73zz__ucs2z00(obj_t BgL_envz00_1166,
		obj_t BgL_ucs2az00_1167, obj_t BgL_ucs2bz00_1168)
	{
		{	/* Llib/ucs2.scm 206 */
			{	/* Llib/ucs2.scm 207 */
				bool_t BgL_tmpz00_1478;

				{	/* Llib/ucs2.scm 207 */
					ucs2_t BgL_auxz00_1488;
					ucs2_t BgL_auxz00_1479;

					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1489;

						if (UCS2P(BgL_ucs2bz00_1168))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1489 = BgL_ucs2bz00_1168;
							}
						else
							{
								obj_t BgL_auxz00_1492;

								BgL_auxz00_1492 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(9074L), BGl_string1498z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2bz00_1168);
								FAILURE(BgL_auxz00_1492, BFALSE, BFALSE);
							}
						BgL_auxz00_1488 = CUCS2(BgL_tmpz00_1489);
					}
					{	/* Llib/ucs2.scm 207 */
						obj_t BgL_tmpz00_1480;

						if (UCS2P(BgL_ucs2az00_1167))
							{	/* Llib/ucs2.scm 207 */
								BgL_tmpz00_1480 = BgL_ucs2az00_1167;
							}
						else
							{
								obj_t BgL_auxz00_1483;

								BgL_auxz00_1483 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(9074L), BGl_string1498z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2az00_1167);
								FAILURE(BgL_auxz00_1483, BFALSE, BFALSE);
							}
						BgL_auxz00_1479 = CUCS2(BgL_tmpz00_1480);
					}
					BgL_tmpz00_1478 =
						BGl_ucs2zd2cize3zd3zf3z11zz__ucs2z00(BgL_auxz00_1479,
						BgL_auxz00_1488);
				}
				return BBOOL(BgL_tmpz00_1478);
			}
		}

	}



/* ucs2-alphabetic? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_24)
	{
		{	/* Llib/ucs2.scm 212 */
			BGL_TAIL return ucs2_letterp(BgL_ucs2z00_24);
		}

	}



/* &ucs2-alphabetic? */
	obj_t BGl_z62ucs2zd2alphabeticzf3z43zz__ucs2z00(obj_t BgL_envz00_1169,
		obj_t BgL_ucs2z00_1170)
	{
		{	/* Llib/ucs2.scm 212 */
			{	/* Llib/ucs2.scm 213 */
				bool_t BgL_tmpz00_1500;

				{	/* Llib/ucs2.scm 213 */
					ucs2_t BgL_auxz00_1501;

					{	/* Llib/ucs2.scm 213 */
						obj_t BgL_tmpz00_1502;

						if (UCS2P(BgL_ucs2z00_1170))
							{	/* Llib/ucs2.scm 213 */
								BgL_tmpz00_1502 = BgL_ucs2z00_1170;
							}
						else
							{
								obj_t BgL_auxz00_1505;

								BgL_auxz00_1505 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(9381L), BGl_string1499z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1170);
								FAILURE(BgL_auxz00_1505, BFALSE, BFALSE);
							}
						BgL_auxz00_1501 = CUCS2(BgL_tmpz00_1502);
					}
					BgL_tmpz00_1500 =
						BGl_ucs2zd2alphabeticzf3z21zz__ucs2z00(BgL_auxz00_1501);
				}
				return BBOOL(BgL_tmpz00_1500);
			}
		}

	}



/* ucs2-numeric? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2numericzf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_25)
	{
		{	/* Llib/ucs2.scm 218 */
			BGL_TAIL return ucs2_digitp(BgL_ucs2z00_25);
		}

	}



/* &ucs2-numeric? */
	obj_t BGl_z62ucs2zd2numericzf3z43zz__ucs2z00(obj_t BgL_envz00_1171,
		obj_t BgL_ucs2z00_1172)
	{
		{	/* Llib/ucs2.scm 218 */
			{	/* Llib/ucs2.scm 219 */
				bool_t BgL_tmpz00_1513;

				{	/* Llib/ucs2.scm 219 */
					ucs2_t BgL_auxz00_1514;

					{	/* Llib/ucs2.scm 219 */
						obj_t BgL_tmpz00_1515;

						if (UCS2P(BgL_ucs2z00_1172))
							{	/* Llib/ucs2.scm 219 */
								BgL_tmpz00_1515 = BgL_ucs2z00_1172;
							}
						else
							{
								obj_t BgL_auxz00_1518;

								BgL_auxz00_1518 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(9666L), BGl_string1500z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1172);
								FAILURE(BgL_auxz00_1518, BFALSE, BFALSE);
							}
						BgL_auxz00_1514 = CUCS2(BgL_tmpz00_1515);
					}
					BgL_tmpz00_1513 =
						BGl_ucs2zd2numericzf3z21zz__ucs2z00(BgL_auxz00_1514);
				}
				return BBOOL(BgL_tmpz00_1513);
			}
		}

	}



/* ucs2-whitespace? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(ucs2_t
		BgL_ucs2z00_26)
	{
		{	/* Llib/ucs2.scm 224 */
			BGL_TAIL return ucs2_whitespacep(BgL_ucs2z00_26);
		}

	}



/* &ucs2-whitespace? */
	obj_t BGl_z62ucs2zd2whitespacezf3z43zz__ucs2z00(obj_t BgL_envz00_1173,
		obj_t BgL_ucs2z00_1174)
	{
		{	/* Llib/ucs2.scm 224 */
			{	/* Llib/ucs2.scm 225 */
				bool_t BgL_tmpz00_1526;

				{	/* Llib/ucs2.scm 225 */
					ucs2_t BgL_auxz00_1527;

					{	/* Llib/ucs2.scm 225 */
						obj_t BgL_tmpz00_1528;

						if (UCS2P(BgL_ucs2z00_1174))
							{	/* Llib/ucs2.scm 225 */
								BgL_tmpz00_1528 = BgL_ucs2z00_1174;
							}
						else
							{
								obj_t BgL_auxz00_1531;

								BgL_auxz00_1531 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(9953L), BGl_string1501z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1174);
								FAILURE(BgL_auxz00_1531, BFALSE, BFALSE);
							}
						BgL_auxz00_1527 = CUCS2(BgL_tmpz00_1528);
					}
					BgL_tmpz00_1526 =
						BGl_ucs2zd2whitespacezf3z21zz__ucs2z00(BgL_auxz00_1527);
				}
				return BBOOL(BgL_tmpz00_1526);
			}
		}

	}



/* ucs2-upper-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_27)
	{
		{	/* Llib/ucs2.scm 230 */
			BGL_TAIL return ucs2_upperp(BgL_ucs2z00_27);
		}

	}



/* &ucs2-upper-case? */
	obj_t BGl_z62ucs2zd2upperzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1175,
		obj_t BgL_ucs2z00_1176)
	{
		{	/* Llib/ucs2.scm 230 */
			{	/* Llib/ucs2.scm 231 */
				bool_t BgL_tmpz00_1539;

				{	/* Llib/ucs2.scm 231 */
					ucs2_t BgL_auxz00_1540;

					{	/* Llib/ucs2.scm 231 */
						obj_t BgL_tmpz00_1541;

						if (UCS2P(BgL_ucs2z00_1176))
							{	/* Llib/ucs2.scm 231 */
								BgL_tmpz00_1541 = BgL_ucs2z00_1176;
							}
						else
							{
								obj_t BgL_auxz00_1544;

								BgL_auxz00_1544 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(10245L), BGl_string1502z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1176);
								FAILURE(BgL_auxz00_1544, BFALSE, BFALSE);
							}
						BgL_auxz00_1540 = CUCS2(BgL_tmpz00_1541);
					}
					BgL_tmpz00_1539 =
						BGl_ucs2zd2upperzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1540);
				}
				return BBOOL(BgL_tmpz00_1539);
			}
		}

	}



/* ucs2-lower-case? */
	BGL_EXPORTED_DEF bool_t BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(ucs2_t
		BgL_ucs2z00_28)
	{
		{	/* Llib/ucs2.scm 236 */
			BGL_TAIL return ucs2_lowerp(BgL_ucs2z00_28);
		}

	}



/* &ucs2-lower-case? */
	obj_t BGl_z62ucs2zd2lowerzd2casezf3z91zz__ucs2z00(obj_t BgL_envz00_1177,
		obj_t BgL_ucs2z00_1178)
	{
		{	/* Llib/ucs2.scm 236 */
			{	/* Llib/ucs2.scm 237 */
				bool_t BgL_tmpz00_1552;

				{	/* Llib/ucs2.scm 237 */
					ucs2_t BgL_auxz00_1553;

					{	/* Llib/ucs2.scm 237 */
						obj_t BgL_tmpz00_1554;

						if (UCS2P(BgL_ucs2z00_1178))
							{	/* Llib/ucs2.scm 237 */
								BgL_tmpz00_1554 = BgL_ucs2z00_1178;
							}
						else
							{
								obj_t BgL_auxz00_1557;

								BgL_auxz00_1557 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(10532L), BGl_string1503z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1178);
								FAILURE(BgL_auxz00_1557, BFALSE, BFALSE);
							}
						BgL_auxz00_1553 = CUCS2(BgL_tmpz00_1554);
					}
					BgL_tmpz00_1552 =
						BGl_ucs2zd2lowerzd2casezf3zf3zz__ucs2z00(BgL_auxz00_1553);
				}
				return BBOOL(BgL_tmpz00_1552);
			}
		}

	}



/* ucs2-upcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2upcasezd2zz__ucs2z00(ucs2_t BgL_ucs2z00_29)
	{
		{	/* Llib/ucs2.scm 242 */
			BGL_TAIL return ucs2_toupper(BgL_ucs2z00_29);
		}

	}



/* &ucs2-upcase */
	obj_t BGl_z62ucs2zd2upcasezb0zz__ucs2z00(obj_t BgL_envz00_1179,
		obj_t BgL_ucs2z00_1180)
	{
		{	/* Llib/ucs2.scm 242 */
			{	/* Llib/ucs2.scm 243 */
				ucs2_t BgL_tmpz00_1565;

				{	/* Llib/ucs2.scm 243 */
					ucs2_t BgL_auxz00_1566;

					{	/* Llib/ucs2.scm 243 */
						obj_t BgL_tmpz00_1567;

						if (UCS2P(BgL_ucs2z00_1180))
							{	/* Llib/ucs2.scm 243 */
								BgL_tmpz00_1567 = BgL_ucs2z00_1180;
							}
						else
							{
								obj_t BgL_auxz00_1570;

								BgL_auxz00_1570 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(10814L), BGl_string1504z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1180);
								FAILURE(BgL_auxz00_1570, BFALSE, BFALSE);
							}
						BgL_auxz00_1566 = CUCS2(BgL_tmpz00_1567);
					}
					BgL_tmpz00_1565 = BGl_ucs2zd2upcasezd2zz__ucs2z00(BgL_auxz00_1566);
				}
				return BUCS2(BgL_tmpz00_1565);
			}
		}

	}



/* ucs2-downcase */
	BGL_EXPORTED_DEF ucs2_t BGl_ucs2zd2downcasezd2zz__ucs2z00(ucs2_t
		BgL_ucs2z00_30)
	{
		{	/* Llib/ucs2.scm 248 */
			BGL_TAIL return ucs2_tolower(BgL_ucs2z00_30);
		}

	}



/* &ucs2-downcase */
	obj_t BGl_z62ucs2zd2downcasezb0zz__ucs2z00(obj_t BgL_envz00_1181,
		obj_t BgL_ucs2z00_1182)
	{
		{	/* Llib/ucs2.scm 248 */
			{	/* Llib/ucs2.scm 249 */
				ucs2_t BgL_tmpz00_1578;

				{	/* Llib/ucs2.scm 249 */
					ucs2_t BgL_auxz00_1579;

					{	/* Llib/ucs2.scm 249 */
						obj_t BgL_tmpz00_1580;

						if (UCS2P(BgL_ucs2z00_1182))
							{	/* Llib/ucs2.scm 249 */
								BgL_tmpz00_1580 = BgL_ucs2z00_1182;
							}
						else
							{
								obj_t BgL_auxz00_1583;

								BgL_auxz00_1583 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(11098L), BGl_string1505z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1182);
								FAILURE(BgL_auxz00_1583, BFALSE, BFALSE);
							}
						BgL_auxz00_1579 = CUCS2(BgL_tmpz00_1580);
					}
					BgL_tmpz00_1578 = BGl_ucs2zd2downcasezd2zz__ucs2z00(BgL_auxz00_1579);
				}
				return BUCS2(BgL_tmpz00_1578);
			}
		}

	}



/* integer->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2z31zz__ucs2z00(int BgL_intz00_31)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				bool_t BgL_test1606z00_1590;

				if (((long) (BgL_intz00_31) >= 0L))
					{	/* Llib/ucs2.scm 255 */
						BgL_test1606z00_1590 = ((long) (BgL_intz00_31) < 65536L);
					}
				else
					{	/* Llib/ucs2.scm 255 */
						BgL_test1606z00_1590 = ((bool_t) 0);
					}
				if (BgL_test1606z00_1590)
					{	/* Llib/ucs2.scm 255 */
						if (ucs2_definedp(BgL_intz00_31))
							{	/* Llib/ucs2.scm 256 */
								return BGL_INT_TO_UCS2(BgL_intz00_31);
							}
						else
							{	/* Llib/ucs2.scm 256 */
								return
									CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1506z00zz__ucs2z00,
										BGl_string1508z00zz__ucs2z00, BINT(BgL_intz00_31)));
							}
					}
				else
					{	/* Llib/ucs2.scm 255 */
						return
							CUCS2(BGl_errorz00zz__errorz00(BGl_symbol1506z00zz__ucs2z00,
								BGl_string1509z00zz__ucs2z00, BINT(BgL_intz00_31)));
					}
			}
		}

	}



/* &integer->ucs2 */
	obj_t BGl_z62integerzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1183,
		obj_t BgL_intz00_1184)
	{
		{	/* Llib/ucs2.scm 254 */
			{	/* Llib/ucs2.scm 255 */
				ucs2_t BgL_tmpz00_1605;

				{	/* Llib/ucs2.scm 255 */
					int BgL_auxz00_1606;

					{	/* Llib/ucs2.scm 255 */
						obj_t BgL_tmpz00_1607;

						if (INTEGERP(BgL_intz00_1184))
							{	/* Llib/ucs2.scm 255 */
								BgL_tmpz00_1607 = BgL_intz00_1184;
							}
						else
							{
								obj_t BgL_auxz00_1610;

								BgL_auxz00_1610 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(11394L), BGl_string1510z00zz__ucs2z00,
									BGl_string1511z00zz__ucs2z00, BgL_intz00_1184);
								FAILURE(BgL_auxz00_1610, BFALSE, BFALSE);
							}
						BgL_auxz00_1606 = CINT(BgL_tmpz00_1607);
					}
					BgL_tmpz00_1605 =
						BGl_integerzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1606);
				}
				return BUCS2(BgL_tmpz00_1605);
			}
		}

	}



/* integer->ucs2-ur */
	BGL_EXPORTED_DEF ucs2_t BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(int
		BgL_intz00_32)
	{
		{	/* Llib/ucs2.scm 264 */
			return BGL_INT_TO_UCS2(BgL_intz00_32);
		}

	}



/* &integer->ucs2-ur */
	obj_t BGl_z62integerzd2ze3ucs2zd2urz81zz__ucs2z00(obj_t BgL_envz00_1185,
		obj_t BgL_intz00_1186)
	{
		{	/* Llib/ucs2.scm 264 */
			{	/* Llib/ucs2.scm 265 */
				ucs2_t BgL_tmpz00_1618;

				{	/* Llib/ucs2.scm 265 */
					int BgL_auxz00_1619;

					{	/* Llib/ucs2.scm 265 */
						obj_t BgL_tmpz00_1620;

						if (INTEGERP(BgL_intz00_1186))
							{	/* Llib/ucs2.scm 265 */
								BgL_tmpz00_1620 = BgL_intz00_1186;
							}
						else
							{
								obj_t BgL_auxz00_1623;

								BgL_auxz00_1623 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(11890L), BGl_string1512z00zz__ucs2z00,
									BGl_string1511z00zz__ucs2z00, BgL_intz00_1186);
								FAILURE(BgL_auxz00_1623, BFALSE, BFALSE);
							}
						BgL_auxz00_1619 = CINT(BgL_tmpz00_1620);
					}
					BgL_tmpz00_1618 =
						BGl_integerzd2ze3ucs2zd2urze3zz__ucs2z00(BgL_auxz00_1619);
				}
				return BUCS2(BgL_tmpz00_1618);
			}
		}

	}



/* ucs2->integer */
	BGL_EXPORTED_DEF int BGl_ucs2zd2ze3integerz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_33)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				obj_t BgL_tmpz00_1630;

				BgL_tmpz00_1630 = BUCS2(BgL_ucs2z00_33);
				return CUCS2(BgL_tmpz00_1630);
			}
		}

	}



/* &ucs2->integer */
	obj_t BGl_z62ucs2zd2ze3integerz53zz__ucs2z00(obj_t BgL_envz00_1187,
		obj_t BgL_ucs2z00_1188)
	{
		{	/* Llib/ucs2.scm 270 */
			{	/* Llib/ucs2.scm 271 */
				int BgL_tmpz00_1633;

				{	/* Llib/ucs2.scm 271 */
					ucs2_t BgL_auxz00_1634;

					{	/* Llib/ucs2.scm 271 */
						obj_t BgL_tmpz00_1635;

						if (UCS2P(BgL_ucs2z00_1188))
							{	/* Llib/ucs2.scm 271 */
								BgL_tmpz00_1635 = BgL_ucs2z00_1188;
							}
						else
							{
								obj_t BgL_auxz00_1638;

								BgL_auxz00_1638 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(12186L), BGl_string1513z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1188);
								FAILURE(BgL_auxz00_1638, BFALSE, BFALSE);
							}
						BgL_auxz00_1634 = CUCS2(BgL_tmpz00_1635);
					}
					BgL_tmpz00_1633 =
						BGl_ucs2zd2ze3integerz31zz__ucs2z00(BgL_auxz00_1634);
				}
				return BINT(BgL_tmpz00_1633);
			}
		}

	}



/* char->ucs2 */
	BGL_EXPORTED_DEF ucs2_t BGl_charzd2ze3ucs2z31zz__ucs2z00(unsigned char
		BgL_charz00_34)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 265 */
				int BgL_tmpz00_1645;

				BgL_tmpz00_1645 = (int) (((unsigned char) (BgL_charz00_34)));
				return BGL_INT_TO_UCS2(BgL_tmpz00_1645);
			}
		}

	}



/* &char->ucs2 */
	obj_t BGl_z62charzd2ze3ucs2z53zz__ucs2z00(obj_t BgL_envz00_1189,
		obj_t BgL_charz00_1190)
	{
		{	/* Llib/ucs2.scm 276 */
			{	/* Llib/ucs2.scm 277 */
				ucs2_t BgL_tmpz00_1650;

				{	/* Llib/ucs2.scm 277 */
					unsigned char BgL_auxz00_1651;

					{	/* Llib/ucs2.scm 277 */
						obj_t BgL_tmpz00_1652;

						if (CHARP(BgL_charz00_1190))
							{	/* Llib/ucs2.scm 277 */
								BgL_tmpz00_1652 = BgL_charz00_1190;
							}
						else
							{
								obj_t BgL_auxz00_1655;

								BgL_auxz00_1655 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(12499L), BGl_string1514z00zz__ucs2z00,
									BGl_string1515z00zz__ucs2z00, BgL_charz00_1190);
								FAILURE(BgL_auxz00_1655, BFALSE, BFALSE);
							}
						BgL_auxz00_1651 = CCHAR(BgL_tmpz00_1652);
					}
					BgL_tmpz00_1650 = BGl_charzd2ze3ucs2z31zz__ucs2z00(BgL_auxz00_1651);
				}
				return BUCS2(BgL_tmpz00_1650);
			}
		}

	}



/* ucs2->char */
	BGL_EXPORTED_DEF unsigned char BGl_ucs2zd2ze3charz31zz__ucs2z00(ucs2_t
		BgL_ucs2z00_35)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				int BgL_intz00_1079;

				{	/* Llib/ucs2.scm 271 */
					obj_t BgL_tmpz00_1662;

					BgL_tmpz00_1662 = BUCS2(BgL_ucs2z00_35);
					BgL_intz00_1079 = CUCS2(BgL_tmpz00_1662);
				}
				if (((long) (BgL_intz00_1079) < 256L))
					{	/* Llib/ucs2.scm 284 */
						return (char) (((long) (BgL_intz00_1079)));
					}
				else
					{	/* Llib/ucs2.scm 284 */
						return
							CCHAR(BGl_errorz00zz__errorz00(BGl_symbol1516z00zz__ucs2z00,
								BGl_string1518z00zz__ucs2z00, BUCS2(BgL_ucs2z00_35)));
					}
			}
		}

	}



/* &ucs2->char */
	obj_t BGl_z62ucs2zd2ze3charz53zz__ucs2z00(obj_t BgL_envz00_1191,
		obj_t BgL_ucs2z00_1192)
	{
		{	/* Llib/ucs2.scm 282 */
			{	/* Llib/ucs2.scm 283 */
				unsigned char BgL_tmpz00_1674;

				{	/* Llib/ucs2.scm 283 */
					ucs2_t BgL_auxz00_1675;

					{	/* Llib/ucs2.scm 283 */
						obj_t BgL_tmpz00_1676;

						if (UCS2P(BgL_ucs2z00_1192))
							{	/* Llib/ucs2.scm 283 */
								BgL_tmpz00_1676 = BgL_ucs2z00_1192;
							}
						else
							{
								obj_t BgL_auxz00_1679;

								BgL_auxz00_1679 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1487z00zz__ucs2z00,
									BINT(12786L), BGl_string1519z00zz__ucs2z00,
									BGl_string1489z00zz__ucs2z00, BgL_ucs2z00_1192);
								FAILURE(BgL_auxz00_1679, BFALSE, BFALSE);
							}
						BgL_auxz00_1675 = CUCS2(BgL_tmpz00_1676);
					}
					BgL_tmpz00_1674 = BGl_ucs2zd2ze3charz31zz__ucs2z00(BgL_auxz00_1675);
				}
				return BCHAR(BgL_tmpz00_1674);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__ucs2z00(void)
	{
		{	/* Llib/ucs2.scm 14 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1520z00zz__ucs2z00));
		}

	}

#ifdef __cplusplus
}
#endif
